Bug 1480972 - Review Request: golang-github-BurntSushi-xgbutil - XGB is the X protocol Go language Binding
Review Request: golang-github-BurntSushi-xgbutil - XGB is the X protocol Go l...
Status: POST
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1421046 DeepinDEPackageReview 1476590
  Show dependency treegraph
 
Reported: 2017-08-13 05:11 EDT by sensor.wen
Modified: 2017-08-24 13:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Comment 1 Robert-André Mauchin 2017-08-15 10:18:05 EDT
Hello,

 - XCB Authors is not a valid license. This package is licenced under Sam Hocevar's WTFPL. The list of licenses which can be imported in Fedora is available here: https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#SoftwareLicenses

 - You could make the description a bit longer. For example take the one from their githb page: xgbutil is a utility library designed to work with the X Go Binding. This 
project's main goal is to make various X related tasks easier. For example, 
binding keys, using the EWMH or ICCCM specs with the window manager, 
moving/resizing windows, assigning function callbacks to particular events,
drawing images to a window, etc.

 - The changelog doesn't contain your own entry.

 - Some dependecies, golang(github.com/BurntSushi/freetype-go/freetype/truetype) and golang(github.com/BurntSushi/graphics-go/graphics)… I haven't yet seen you propose package reviews for these too. It would be great if you add them first otherwise you won't be able to build anything in Koji.

 - There shouldn't be a dot at the end of the Summary: tag.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "do What The Fuck you want to Public License (v2)", "Unknown or
     generated". 76 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/golang-github-BurntSushi-
     xgbutil/review-golang-github-BurntSushi-xgbutil/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode, /usr/share/gocode/src/github.com
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/github.com/BurntSushi(golang-github-BurntSushi-
     xgb-devel, golang-github-BurntSushi-toml-devel, golang-github-
     BurntSushi-xgbutil-devel)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-BurntSushi-xgbutil-devel-0-0.1.fc26.noarch.rpm
          golang-github-BurntSushi-xgbutil-0-0.1.fc26.src.rpm
golang-github-BurntSushi-xgbutil-devel.noarch: W: summary-ended-with-dot C XGB is the X protocol Go language Binding.
golang-github-BurntSushi-xgbutil.src: W: summary-ended-with-dot C XGB is the X protocol Go language Binding.
golang-github-BurntSushi-xgbutil.src: W: spelling-error %description -l en_US resizing -> residing, re sizing, re-sizing
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
Comment 2 sensor.wen 2017-08-15 12:55:59 EDT
Diff:  https://github.com/FZUG/repo/commit/6fc22dad1d732901c0e762511562f8fbc4c9603c

Thanks, github-BurntSushi-freetype-go and github-BurntSushi-graphics-go were approved. I will submit spec alter.

https://bugzilla.redhat.com/show_bug.cgi?id=1480958
https://bugzilla.redhat.com/show_bug.cgi?id=1480959
Comment 4 Robert-André Mauchin 2017-08-23 16:15:33 EDT
I thought I had already done it, but now it's ok, package accepted.
Comment 5 Gwyn Ciesla 2017-08-24 08:55:03 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-BurntSushi-xgbutil
Comment 6 sensor.wen 2017-08-24 13:16:58 EDT
I build it in Koji. It shows following error to me.

21444291 build (rawhide, /rpms/golang-github-BurntSushi-xgbutil:1c5acaa7f2114d4019398d9a51f675eeac115fa7): open (buildvm-05.phx2.fedoraproject.org) -> FAILED: BuildError: package golang-github-BurntSushi-xgbutil not in list for tag f28-pending
  0 free  0 open  1 done  1 failed

https://koji.fedoraproject.org/koji/taskinfo?taskID=21443541

Could you have a good idea?
Comment 7 Robert-André Mauchin 2017-08-24 13:20:53 EDT
@sensor: Yes, add a message explaining the error on this bug report: https://pagure.io/fedora-infrastructure/issue/6236

Note You need to log in before you can comment on or make changes to this bug.